Groovy 1.7.10

## org.codehaus.groovy.tools.shell
[Groovy] Class ExitNotification

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              org.codehaus.groovy.tools.shell.ExitNotification

    class ExitNotification
    extends Error

Notification to signal the shell to exit.

Authors:
  Jason Dillon

Version:
  \$Id: ExitNotification.groovy 7362 2007-08-19 18:37:04Z user57 \$

Property Summary
`int` | `code` The exit code.

Constructor Summary
`ExitNotification(int code)`

Method Summary

Methods inherited from class Error
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### code

    final int code

  The exit code.

Constructor Detail

### ExitNotification

    ExitNotification(int code)

Copyright © 2003-2010 The Codehaus. All rights reserved.